Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 262047 - app-misc/worker-2.17.2 fails with gcc-4.3
Summary: app-misc/worker-2.17.2 fails with gcc-4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Tobias Scherbaum (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2009-03-10 21:27 UTC by Łukasz Michalik
Modified: 2009-03-13 19:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
solvation ;) (worker.diff,405 bytes, patch)
2009-03-10 21:28 UTC, Łukasz Michalik
Details | Diff
build.log (build.log,59.92 KB, text/plain)
2009-03-11 05:39 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Łukasz Michalik 2009-03-10 21:27:23 UTC
Usual includes missing.
Comment 1 Łukasz Michalik 2009-03-10 21:28:46 UTC
Created attachment 184621 [details, diff]
solvation ;)
Comment 2 Rafał 2009-03-10 23:12:59 UTC
Please add a new flag to ebuilid Worker "xft"

src_compile() {
        econf --enable-xft $(use_enable unicode utf-8) \
}
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-11 05:39:03 UTC
Created attachment 184650 [details]
build.log

Here's a build log for reference :)
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-11 05:40:00 UTC
Reassigning to maintainer.
Comment 5 Tobias Scherbaum (RETIRED) gentoo-dev 2009-03-11 16:28:25 UTC
The fix to build w/ gcc-4.3 is in CVS.

(In reply to comment #2)
> Please add a new flag to ebuilid Worker "xft"
> 
> src_compile() {
>         econf --enable-xft $(use_enable unicode utf-8) \
> }
> 

Hrm, xft is still marked as EXPERIMENTAL *shrugs* ... please file a new bug and also include a note on whether enabling this one works somewhat "stable" for you. Thanks!
Comment 6 Łukasz Michalik 2009-03-13 13:50:57 UTC
2.17.3 has been released that contains only this fix and translation updates.  It might be worth bumping and nuking old version.
Comment 7 Tobias Scherbaum (RETIRED) gentoo-dev 2009-03-13 19:33:35 UTC
(In reply to comment #6)
> 2.17.3 has been released that contains only this fix and translation updates. 
> It might be worth bumping and nuking old version.
> 
in cvs.